<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:03 CET 2009 -->
<TITLE>
StretchGridLayout
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.swing.StretchGridLayout class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="StretchGridLayout";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/StretchGridLayout.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/swing/PopupMouseListener.html" title="class in ch.javasoft.swing"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/swing/StretchGridLayout.Constraint.html" title="enum in ch.javasoft.swing"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/swing/StretchGridLayout.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="StretchGridLayout.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.swing</FONT>
<BR>
Class StretchGridLayout</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.swing.StretchGridLayout</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager.html" title="class or interface in java.awt">LayoutManager</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager2.html" title="class or interface in java.awt">LayoutManager2</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../src-html/ch/javasoft/swing/StretchGridLayout.html#line.56"><B>StretchGridLayout</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager2.html" title="class or interface in java.awt">LayoutManager2</A></DL>
</PRE>

<P>
A <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager2.html" title="class or interface in java.awt"><CODE>LayoutManager2</CODE></A> that arranges the <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/javax/swing/JComponent.html" title="class or interface in javax.swing"><CODE>components</CODE></A>
 in a grid. The row heights and column widths are determined by the minimum, preferred and
 maximum sizes of the contained <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/javax/swing/JComponent.html" title="class or interface in javax.swing"><CODE>components</CODE></A>.<br>
 Legal layout constraints are enumerated in <code>Constraint</code>
<P>

<P>
<DL>
<DT><B>Author:</B></DT>
  <DD>pesche</DD>
</DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/swing/StretchGridLayout.Constraint.html" title="enum in ch.javasoft.swing">StretchGridLayout.Constraint</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constraint to use when adding a component to a container.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/swing/StretchGridLayout.LinearFunction.html" title="class in ch.javasoft.swing">StretchGridLayout.LinearFunction</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/swing/StretchGridLayout.Mode.html" title="enum in ch.javasoft.swing">StretchGridLayout.Mode</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/swing/StretchGridLayout.Pair.html" title="class in ch.javasoft.swing">StretchGridLayout.Pair</A>&lt;<A HREF="../../../ch/javasoft/swing/StretchGridLayout.Pair.html" title="type parameter in StretchGridLayout.Pair">S</A>,<A HREF="../../../ch/javasoft/swing/StretchGridLayout.Pair.html" title="type parameter in StretchGridLayout.Pair">T</A>&gt;</B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/swing/StretchGridLayout.StueckLinFunction.html" title="class in ch.javasoft.swing">StretchGridLayout.StueckLinFunction</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;A <i>stueckweise lineare Funktion</i>.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../ch/javasoft/swing/StretchGridLayout.html#StretchGridLayout(ch.javasoft.swing.StretchGridLayout.Mode, int)">StretchGridLayout</A></B>(<A HREF="../../../ch/javasoft/swing/StretchGridLayout.Mode.html" title="enum in ch.javasoft.swing">StretchGridLayout.Mode</A>&nbsp;mode,
                                   int&nbsp;count)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;StretchGridLayout constructor:<br></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../ch/javasoft/swing/StretchGridLayout.html#StretchGridLayout(ch.javasoft.swing.StretchGridLayout.Mode, int, int, int)">StretchGridLayout</A></B>(<A HREF="../../../ch/javasoft/swing/StretchGridLayout.Mode.html" title="enum in ch.javasoft.swing">StretchGridLayout.Mode</A>&nbsp;mode,
                                   int&nbsp;count,
                                   int&nbsp;gapRows,
                                   int&nbsp;gapColumns)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;StretchGridLayout constructor:<br></TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/swing/StretchGridLayout.html#addLayoutComponent(java.awt.Component, java.lang.Object)">addLayoutComponent</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Component.html" title="class or interface in java.awt">Component</A>&nbsp;comp,
                                     <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;constraints)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;If mode is MODE_FIXED_COLUMNS, then the components are filled in row by row.<br>
 If mode is MODE_FIXED_ROWS, then the components are filled in column by column.<br></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/swing/StretchGridLayout.html#addLayoutComponent(java.lang.String, java.awt.Component)">addLayoutComponent</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                                     <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Component.html" title="class or interface in java.awt">Component</A>&nbsp;comp)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds a component with resize constraints <A HREF="../../../ch/javasoft/swing/StretchGridLayout.Constraint.html#STRETCH_BOTH"><CODE>StretchGridLayout.Constraint.STRETCH_BOTH</CODE></A></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;float</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/swing/StretchGridLayout.html#getLayoutAlignmentX(java.awt.Container)">getLayoutAlignmentX</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Container.html" title="class or interface in java.awt">Container</A>&nbsp;target)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;float</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/swing/StretchGridLayout.html#getLayoutAlignmentY(java.awt.Container)">getLayoutAlignmentY</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Container.html" title="class or interface in java.awt">Container</A>&nbsp;target)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/swing/StretchGridLayout.html#invalidateLayout(java.awt.Container)">invalidateLayout</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Container.html" title="class or interface in java.awt">Container</A>&nbsp;target)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/swing/StretchGridLayout.html#layoutContainer(java.awt.Container)">layoutContainer</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Container.html" title="class or interface in java.awt">Container</A>&nbsp;parent)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Dimension.html" title="class or interface in java.awt">Dimension</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/swing/StretchGridLayout.html#maximumLayoutSize(java.awt.Container)">maximumLayoutSize</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Container.html" title="class or interface in java.awt">Container</A>&nbsp;target)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Dimension.html" title="class or interface in java.awt">Dimension</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/swing/StretchGridLayout.html#minimumLayoutSize(java.awt.Container)">minimumLayoutSize</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Container.html" title="class or interface in java.awt">Container</A>&nbsp;parent)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Dimension.html" title="class or interface in java.awt">Dimension</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/swing/StretchGridLayout.html#preferredLayoutSize(java.awt.Container)">preferredLayoutSize</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Container.html" title="class or interface in java.awt">Container</A>&nbsp;parent)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/swing/StretchGridLayout.html#removeLayoutComponent(java.awt.Component)">removeLayoutComponent</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Component.html" title="class or interface in java.awt">Component</A>&nbsp;comp)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/swing/StretchGridLayout.html#setLayoutAlignmentX(float)">setLayoutAlignmentX</A></B>(float&nbsp;ax)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/swing/StretchGridLayout.html#setLayoutAlignmentY(float)">setLayoutAlignmentY</A></B>(float&nbsp;ay)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="StretchGridLayout(ch.javasoft.swing.StretchGridLayout.Mode, int)"><!-- --></A><H3>
StretchGridLayout</H3>
<PRE>
public <A HREF="../../../src-html/ch/javasoft/swing/StretchGridLayout.html#line.114"><B>StretchGridLayout</B></A>(<A HREF="../../../ch/javasoft/swing/StretchGridLayout.Mode.html" title="enum in ch.javasoft.swing">StretchGridLayout.Mode</A>&nbsp;mode,
                         int&nbsp;count)</PRE>
<DL>
<DD>StretchGridLayout constructor:<br>
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>mode</CODE> - Determines if the number of rows or the number of columns is fixed<DD><CODE>count</CODE> - The number of rows or the number of columns, depending on selected mode (must be > 0)</DL>
</DL>
<HR>

<A NAME="StretchGridLayout(ch.javasoft.swing.StretchGridLayout.Mode, int, int, int)"><!-- --></A><H3>
StretchGridLayout</H3>
<PRE>
public <A HREF="../../../src-html/ch/javasoft/swing/StretchGridLayout.html#line.123"><B>StretchGridLayout</B></A>(<A HREF="../../../ch/javasoft/swing/StretchGridLayout.Mode.html" title="enum in ch.javasoft.swing">StretchGridLayout.Mode</A>&nbsp;mode,
                         int&nbsp;count,
                         int&nbsp;gapRows,
                         int&nbsp;gapColumns)</PRE>
<DL>
<DD>StretchGridLayout constructor:<br>
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>mode</CODE> - Determines if the number of rows or the number of columns is fixed<DD><CODE>count</CODE> - The number of rows or the number of columns, depending on selected mode (must be > 0)</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getLayoutAlignmentX(java.awt.Container)"><!-- --></A><H3>
getLayoutAlignmentX</H3>
<PRE>
public float <A HREF="../../../src-html/ch/javasoft/swing/StretchGridLayout.html#line.145"><B>getLayoutAlignmentX</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Container.html" title="class or interface in java.awt">Container</A>&nbsp;target)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager2.html#getLayoutAlignmentX(java.awt.Container)" title="class or interface in java.awt">getLayoutAlignmentX</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager2.html" title="class or interface in java.awt">LayoutManager2</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getLayoutAlignmentY(java.awt.Container)"><!-- --></A><H3>
getLayoutAlignmentY</H3>
<PRE>
public float <A HREF="../../../src-html/ch/javasoft/swing/StretchGridLayout.html#line.153"><B>getLayoutAlignmentY</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Container.html" title="class or interface in java.awt">Container</A>&nbsp;target)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager2.html#getLayoutAlignmentY(java.awt.Container)" title="class or interface in java.awt">getLayoutAlignmentY</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager2.html" title="class or interface in java.awt">LayoutManager2</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setLayoutAlignmentX(float)"><!-- --></A><H3>
setLayoutAlignmentX</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/swing/StretchGridLayout.html#line.158"><B>setLayoutAlignmentX</B></A>(float&nbsp;ax)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setLayoutAlignmentY(float)"><!-- --></A><H3>
setLayoutAlignmentY</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/swing/StretchGridLayout.html#line.162"><B>setLayoutAlignmentY</B></A>(float&nbsp;ay)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="invalidateLayout(java.awt.Container)"><!-- --></A><H3>
invalidateLayout</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/swing/StretchGridLayout.html#line.169"><B>invalidateLayout</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Container.html" title="class or interface in java.awt">Container</A>&nbsp;target)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager2.html#invalidateLayout(java.awt.Container)" title="class or interface in java.awt">invalidateLayout</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager2.html" title="class or interface in java.awt">LayoutManager2</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="maximumLayoutSize(java.awt.Container)"><!-- --></A><H3>
maximumLayoutSize</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Dimension.html" title="class or interface in java.awt">Dimension</A> <A HREF="../../../src-html/ch/javasoft/swing/StretchGridLayout.html#line.178"><B>maximumLayoutSize</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Container.html" title="class or interface in java.awt">Container</A>&nbsp;target)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager2.html#maximumLayoutSize(java.awt.Container)" title="class or interface in java.awt">maximumLayoutSize</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager2.html" title="class or interface in java.awt">LayoutManager2</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addLayoutComponent(java.awt.Component, java.lang.Object)"><!-- --></A><H3>
addLayoutComponent</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/swing/StretchGridLayout.html#line.190"><B>addLayoutComponent</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Component.html" title="class or interface in java.awt">Component</A>&nbsp;comp,
                               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;constraints)</PRE>
<DL>
<DD>If mode is MODE_FIXED_COLUMNS, then the components are filled in row by row.<br>
 If mode is MODE_FIXED_ROWS, then the components are filled in column by column.<br>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager2.html#addLayoutComponent(java.awt.Component, java.lang.Object)" title="class or interface in java.awt">addLayoutComponent</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager2.html" title="class or interface in java.awt">LayoutManager2</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager2.html#addLayoutComponent(java.awt.Component, java.lang.Object)" title="class or interface in java.awt"><CODE>LayoutManager2.addLayoutComponent(java.awt.Component, java.lang.Object)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="removeLayoutComponent(java.awt.Component)"><!-- --></A><H3>
removeLayoutComponent</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/swing/StretchGridLayout.html#line.202"><B>removeLayoutComponent</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Component.html" title="class or interface in java.awt">Component</A>&nbsp;comp)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager.html#removeLayoutComponent(java.awt.Component)" title="class or interface in java.awt">removeLayoutComponent</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager.html" title="class or interface in java.awt">LayoutManager</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="layoutContainer(java.awt.Container)"><!-- --></A><H3>
layoutContainer</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/swing/StretchGridLayout.html#line.216"><B>layoutContainer</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Container.html" title="class or interface in java.awt">Container</A>&nbsp;parent)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager.html#layoutContainer(java.awt.Container)" title="class or interface in java.awt">layoutContainer</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager.html" title="class or interface in java.awt">LayoutManager</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addLayoutComponent(java.lang.String, java.awt.Component)"><!-- --></A><H3>
addLayoutComponent</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/swing/StretchGridLayout.html#line.226"><B>addLayoutComponent</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Component.html" title="class or interface in java.awt">Component</A>&nbsp;comp)</PRE>
<DL>
<DD>Adds a component with resize constraints <A HREF="../../../ch/javasoft/swing/StretchGridLayout.Constraint.html#STRETCH_BOTH"><CODE>StretchGridLayout.Constraint.STRETCH_BOTH</CODE></A>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager.html#addLayoutComponent(java.lang.String, java.awt.Component)" title="class or interface in java.awt">addLayoutComponent</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager.html" title="class or interface in java.awt">LayoutManager</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager.html#addLayoutComponent(java.lang.String, java.awt.Component)" title="class or interface in java.awt"><CODE>LayoutManager.addLayoutComponent(java.lang.String, java.awt.Component)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="minimumLayoutSize(java.awt.Container)"><!-- --></A><H3>
minimumLayoutSize</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Dimension.html" title="class or interface in java.awt">Dimension</A> <A HREF="../../../src-html/ch/javasoft/swing/StretchGridLayout.html#line.233"><B>minimumLayoutSize</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Container.html" title="class or interface in java.awt">Container</A>&nbsp;parent)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager.html#minimumLayoutSize(java.awt.Container)" title="class or interface in java.awt">minimumLayoutSize</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager.html" title="class or interface in java.awt">LayoutManager</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="preferredLayoutSize(java.awt.Container)"><!-- --></A><H3>
preferredLayoutSize</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Dimension.html" title="class or interface in java.awt">Dimension</A> <A HREF="../../../src-html/ch/javasoft/swing/StretchGridLayout.html#line.242"><B>preferredLayoutSize</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/Container.html" title="class or interface in java.awt">Container</A>&nbsp;parent)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager.html#preferredLayoutSize(java.awt.Container)" title="class or interface in java.awt">preferredLayoutSize</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/awt/LayoutManager.html" title="class or interface in java.awt">LayoutManager</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/StretchGridLayout.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/swing/PopupMouseListener.html" title="class in ch.javasoft.swing"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/swing/StretchGridLayout.Constraint.html" title="enum in ch.javasoft.swing"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/swing/StretchGridLayout.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="StretchGridLayout.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
